Subject: Re: linux-next: build failure after merge of the cgroup tree

From: Tejun Heo <[email-masked]>
Date: Sun, 27 Nov 2011 11:33:44 -0800

Hello,

On Fri, Nov 25, 2011 at 02:50:22PM +1100, Stephen Rothwell wrote:
> I don't know how to fix this up (the obvious fix will cause us to have
> nested rcu_read_lock()s and I have no idea if that is allowed).  Can you
> please provide me with a merge resolution?   I am also wondering why such
> closely related work is happening in 2 different trees.

Sorry about all the conflicts.  There have been major updates to both
freezer and cgroup and cgroup_freezer happens to receive changes from
both subsystem changes.  I dropped cgroup changes for now as Linus
doesn't seem to be too happy with the current approach.  Once an
agreeable approach is found, I'll pull in pm-freezer branch into
cgroup and then put cgroup changes on top of them.  That should remove
most of merging headaches.

Thanks.

-- 
tejun